Integrate DocuSign for the electronic signature process of one purchase agreement

post

/fscmRestApi/resources/11.13.18.05/draftPurchaseAgreements/{draftPurchaseAgreementsUniqID}/action/eSign

Initiates and manages the e-signature process for a purchase agreement or change order using Docusign integration. E-signature actions include preparing for the e-signature, updating the document status, managing e-signatures, and tracking e-signature history.

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Draft Purchase Agreements resource and used to uniquely identify an instance of Draft Purchase Agreements. The client should not generate the hash key value. Instead, the client should query on the Draft Purchase Agreements collection resource in order to navigate to a specific instance of Draft Purchase Agreements to get the hash key.
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • Value that indicates the e-signature action. Valid values are prepareForSignature, updateDocumentStatus, manageSignature, and signatureHistory. This attribute doesn't have a default value. The prepareForSignature value retrieves a URL from Docusign to prepare purchase agreements or purchase agreement change orders in pending signature preparation status for an e-signature. The updateDocumentStatus value updates the purchase agreement or purchase agreement change order with the envelope status retrieved from Docusign. The manageSignature value retrieves a URL from Docusign to view and manage electronic envelopes for purchase agreements or purchase agreements change orders in sent for signature status. The signatureHistory value retrieves a URL from Docusign to access the electronic envelope history of purchase agreements or purchase agreement change orders.
  • Unique identifier of the Docusign envelope.
  • Email address of the person who created the envelope.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : result
Type: object
Additional Properties Allowed
Show Source
If the request is successful, this action returns the Docusign URLs and the envelope status to prepare and manage purchase agreements for e-signatures.
Back to Top